# macCreatorType: Functions for working with Mac file attributes

## Overview:

Note: this module requires the xattr module to be installed in order to function correctly.

fontTools.misc.macCreatorType.getMacCreatorAndType(path)

  Returns file creator and file type codes for a path.

  Parameters:

    path (str) – A file path.

  Returns:

    A tuple of two `fontTools.textTools.Tag` objects, the first representing the file creator and the second representing the file type.

fontTools.misc.macCreatorType.setMacCreatorAndType(path, fileCreator, fileType)

  Set file creator and file type codes for a path.

  Note that if the `xattr` module is not installed, no action is taken but no error is raised.

  Parameters:

    - path (str) – A file path.

    - fileCreator – A four-character file creator tag.

    - fileType – A four-character file type tag.